# https://github.com/mikefarah/yq
%global goipath         github.com/mikefarah/yq
Version:                4.35.2

%gometa

%global common_description %{expand:
A lightweight and portable command-line YAML processor

The aim of the project is to be the jq or sed of yaml files.}


%global golicenses    LICENSE
%global godocs        *.md

%global godevelheader %{expand:
# The devel package will usually benefit from corresponding project binaries.
Requires:  %{name} = %{version}-%{release}
}

Name:           %{goname}
Release:        1%{?dist}
Summary:        A lightweight and portable command-line YAML processor
License:        expat
URL:            %{gourl}
Source0:        %{gosource}

#generate_buildrequires
#go_generate_buildrequires

BuildRequires: golang(github.com/fatih/color)
BuildRequires: golang(github.com/goccy/go-json)
BuildRequires: golang(github.com/goccy/go-yaml)
BuildRequires: golang(github.com/kylelemons/godebug/diff)
BuildRequires: golang(github.com/mattn/go-colorable)
BuildRequires: golang(github.com/pkg/errors)
BuildRequires: golang(github.com/spf13/cobra)
BuildRequires: golang(github.com/spf13/pflag)
BuildRequires: golang(golang.org/x/xerrors)
BuildRequires: golang(gopkg.in/op/go-logging.v1)
BuildRequires: golang(gopkg.in/yaml.v3)
BuildRequires: golang(github.com/elliotchance/orderedmap)
BuildRequires: golang(github.com/dimchansky/utfbom)
BuildRequires: golang(github.com/a8m/envsubst/parse)
BuildRequires: golang(github.com/magiconair/properties)
BuildRequires: golang(github.com/pelletier/go-toml/v2/unstable)
# Not in fedora
BuildRequires: golang(github.com/jinzhu/copier)
BuildRequires: golang(github.com/alecthomas/participle/v2/lexer)

#BuildRequires: golang(github-fatih-color)
#BuildRequires: golang(github.com/goccy/go-yaml)
#BuildRequires: golang(github-kylelemons-godebug)
#BuildRequires: golang(github-mattn-colorable)
#BuildRequires: golang(github-pkg-errors)
#BuildRequires: golang(github-spf13-pflag)
#BuildRequires: golang(github-spf13-cobra)
#BuildRequires: golang(golang-x-xerrors)
#BuildRequires: golang(gopkg.in/op/go-logging.v1)
#BuildRequires: golang(gopkg.in/yaml.v3)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
ln -s . v4
%gobuild -o %{gobuilddir}/bin/$(basename $cmd)

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%gocheck

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Nov 06 2023 Christophe Fergeau <cfergeau@redhat.com> - 4.35.2-1
- Upgrade to latest upstream version

* Mon Dec  7 18:22:29 CET 2020 Christophe Fergeau <cfergeau@redhat.com> - 3.4.1-1
- Initial import in Fedora
